#
# spec file for package rubygem-jeweler
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-jeweler
Version:        2.1.1
Release:        1.1
%define mod_name jeweler
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
# rdoc >= 0
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc  }
BuildRequires:  update-alternatives
Url:            http://github.com/technicalpickles/jeweler
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Opinionated tool for creating and managing RubyGem projects
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Simple and opinionated helper for creating Rubygem projects on GitHub.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="ChangeLog.markdown LICENSE.txt README.markdown" \
  -f

%gem_packages

%changelog
* Wed Apr  6 2016 coolo@suse.com
- updated to version 2.1.1
  see installed ChangeLog.markdown
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.0.1
* Mon Jan 20 2014 coolo@suse.com
- updated to version 2.0.0
  * Ruby 1.8 is not supported anymore.
  * rake release accepts remote and branches #249
* Thu Oct 10 2013 coolo@suse.com
- updated to version 1.8.8, no changelog
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.8.7
  * Lock timecop version to 0.6.1 to keep support of 1.8.7 #243
  * Bump version in version.rb to reflect released gem version
  * jeweler's Rakefile reads version from version.rb
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.8.6
  * Fix dependency error when install #239
  * Support rubygems 2.x #238
* Thu Mar 21 2013 coolo@suse.com
- new template
* Fri Jul 27 2012 coolo@suse.com
- update to 1.8.4
  * Fixed jeweler's circular dependency on itself #224
  [#] jeweler 1.8.2, 2012-01-24
  * Standardize on invoking jeweler in development: bundle exec jeweler #220
  * Add travis-ci configuration and build status to README #222
  * Updated version of rspec used by generator to 2.8.0 #223
  [#] jeweler 1.8.1, 2012-01-24
  * Generated projects using yard now use ~> 0.7.4 #219
  [#] jeweler 1.8.0, 2012-01-23
  * Generator now has a --version flag #217
  * Generated Gemfile now includes rdoc gem when using rdoc
  * Fixed jeweler's yardoc task #216
  * Updated version of yard used for new projects, and include rdoc compatability
  [#] jeweler 1.7.0, 2012-01-23
  * Better grammars in README!
  * Generated Rakefile no longer uses deprecated rake/rdoctask
  * Added `rake clean`
  * `rake release` calls `rake clean` to avoid packaging built gems in pkg #216
  [#] jeweler 1.6.4, 2011-07-07
  * Generator can now take an path to generate into, rather than just the name of the directory, ie `jeweler /path/to/awesomeness', not `jeweler --directory /path/to awesomeness`. Thanks invadersmustdie! #187
  * Generator's --directory is deprecated and will be removed for 2.0.0
  [#] jeweler 1.6.3
  * Fix typo in Rake tasks, thanks yehezkielbs! #193
  * Fix deprecation warnings for `Gem.activate`, thanks tickmichaeledgar! #191
  [#] jeweler 1.6.2
  * Loosen bundler dependency to work with 1.x #180
  [#] jeweler 1.6.1
  * Fix "undefined method 'sh'" when using rake 0.9.0 #181, #182, #184
  [#] jeweler 1.6.0
  * Fix generated RCov task to exclude gems
  * Generated .gitignore includes example for rubinius and redcar
  * Generated Rakefile includes magic utf-8 comment for better UTF-8 support #20
  * Generated Jeweler::Tasks now correctly documents that dependencies are managed in the Gemfile
  * Workaround issues with ruby 1.9.2 and psych #169
  * No longer deals with `test_files` #178
  * JEWELER_OPTS are overridden by command line flags #178
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Dec 23 2009 prusnak@suse.cz
- created package
